## libapache2-mod-rivet 2.0.2

=== debian/changelog ===
libapache2-mod-rivet (2.0.2-1) unstable; urgency=low

  * Initial package of Rivet for Debian
  * Closes: #599446, #599447

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 11 Oct 2010 15:22:19 +0200
