=== debian/control ===
Source: libapache2-mod-rivet
Section: web
Priority: extra
Maintainer: Massimo Manghi <mxmanghi@apache.org>
Build-Depends: tcl8.5-dev, apache2-prefork-dev, debhelper (>= 7.0.50~)
Build-Depends-Indep: xsltproc, docbook, docbook-utils, docbook-xsl, docbook-xml
Standards-Version: 3.9.1
Homepage: http://tcl.apache.org/rivet/

Package: libapache2-mod-rivet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, itcl3, apache2-mpm-prefork
Suggests: libapache2-mod-rivet-doc
Description: Server-side Tcl programming system combining ease of use and power
 Apache Rivet is a system for creating dynamic web content via the Tcl
 programming language integrated with Apache Web Server. It is
 designed to be fast, powerful and extensible, consume few system
 resources, be easy to learn, and to provide the user with a platform
 that can also be used for other programming tasks outside the web
 (GUI's, system administration tasks, text processing, database
 manipulation, XML, and so on). In order to meet these goals
 Tcl programming language was chosen to combine with the Apache HTTP
 Server.

Package: libapache2-mod-rivet-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Rivet, a server-side Tcl programming system 
 Apache Rivet is a system for creating dynamic web content via the Tcl
 programming language integrated with Apache Web Server. It is
 designed to be fast, powerful and extensible, consume few system
 resources, be easy to learn, and to provide the user with a platform
 that can also be used for other programming tasks outside the web
 (GUI's, system administration tasks, text processing, database
 manipulation, XML, and so on). In order to meet these goals
 Tcl programming language was chosen to combine with the Apache HTTP
 Server. This package contains the HTML configuration and programming manual.
