=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TCL_VERSION=8.5
package=libapache2-mod-rivet
LDFLAGS += -Wl,--as-needed
CFLAGS = -Wall -g

# Don't let the configure script guess our platform.
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

export DH_OPTIONS

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f _configs.sed
	dh_auto_clean
	dh_clean


build: configure build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	( cd doc; $(MAKE) docs )
	touch build-stamp

configure: configure-stamp

configure-stamp:
	dh_testdir
	chmod +x ./configure
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"				\
	./configure --host=$(DEB_HOST_GNU_TYPE) 			\
		    --build=$(DEB_BUILD_GNU_TYPE) 			\
		    --with-tcl=/usr/lib/tcl$(TCL_VERSION)/		\
		    --with-apache=/usr					\
		    --with-apxs=/usr/bin/apxs2				\
		    --with-tclsh=/usr/bin/tclsh$(TCL_VERSION)		\
		    --with-apache-version=2				\
		    --with-rivet-target-dir=/usr/lib/tcltk/rivet2.0	\
		    --enable-version-display 
	touch configure-stamp

binary-indep: build libapache2-mod-rivet-doc

binary-arch: build libapache2-mod-rivet

binary: build binary-arch binary-indep

libapache2-mod-rivet: build
	dh_testdir -a 
	dh_testroot -a 
	dh_clean
	dh_installdirs -p$@
	dh_installchangelogs ChangeLog
	dh_installdocs -p$@
	dh_install -a
	dh_installexamples -a -p$@
	dh_auto_install -a -p$@ --destdir=$(CURDIR)/debian/$@

	# Remove README* files in bogus places.
	find $(CURDIR)/debian/$@/usr/lib/tcltk -name 'README*' -exec rm -v {} \;

	dh_install -a -p$@
	dh_installman -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@ 

libapache2-mod-rivet-doc: build
	dh_testdir
	dh_testroot
	dh_installdirs -p$@
	dh_installdocs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@ 

.PHONY: build build-stamp clean binary binary-indep binary-arch configure
