## libapache2-mod-rivet 2.0.5

=== debian/changelog ===
libapache2-mod-rivet (2.0.5-1) unstable; urgency=low

  * New upstream release 2.0.5
  * postinst and prerm scripts following specifications dictated by 
    sourceful transition to Apache 2.4 undone and old Apache 2.2 style
    scripts reinstated
  * copyright file expanded
  * Drop the CHANGES and TODO file from the package, the content is
    currently meaningless and outdated.

 -- Massimo Manghi <mxmanghi@apache.org>  Fri, 29 Jun 2012 11:24:42 +0200

libapache2-mod-rivet (2.0.4-3) experimental; urgency=low

  * Fix "sourceful transition towards Apache 2.4" The binary package
    should not assume apache2 is installed, hence postinst might exit
    without enabling the module. (Closes: #666828)

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 24 Apr 2012 13:39:28 +0200

libapache2-mod-rivet (2.0.4-2) experimental; urgency=low

  * Fix "sourceful transition towards Apache 2.4" by adding recommended
    macro and procedure calls (Closes: #666828)
  * Removed build depends on docbook toolchain. Manual is not created during
    package build, the html output shipped with the upstream tarball is 
    copied into libapache2-mod-rivet-doc
  * Introduced compilation hardening flags to debian/rules and an unused
    variable has been removed. Created dquilt patch to be applied to 
    src/apache-2/mod_rivet.c (mod_rivet-hardening.patch)
  * added libtool to BuildDepends since automake doesn't depend on it,
    still we are using it to produce the mod_rivet.so shared library.
  * unused definition of DH_OPTIONS removed from 'rules'
  * compilation flags commented (and therefore unused) removed from debian/rules 
  * in 'rules' build-stamp target removed from list of phony targets 

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 10 Apr 2012 17:08:53 +0200
