=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: web
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~)
-Build-Depends-Indep: xsltproc, docbook, docbook-utils, docbook-xsl, docbook-xml
-Standards-Version: 3.9.2
+Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, itcl3, apache2-mpm-prefork
+Depends: ${shlibs:Depends}, ${misc:Depends}, itcl3, apache2-mpm-prefork, tcllib
 Suggests: libapache2-mod-rivet-doc
 Description: Server-side Tcl programming system combining ease of use and power
  Apache Rivet is a system for creating dynamic web content via the Tcl
