=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 
 TCL_VERSION=8.5
 package=libapache2-mod-rivet
-LDFLAGS += -Wl,--as-needed
-CFLAGS = -Wall -g
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Don't let the configure script guess our platform.
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -37,7 +38,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
-	( cd doc; $(MAKE) docs )
+#	( cd doc; $(MAKE) docs )
 	touch build-stamp
 
 configure-stamp:
@@ -100,4 +101,4 @@
 	dh_md5sums -p$@
 	dh_builddeb -p$@ 
 
-.PHONY: build build-stamp clean binary binary-indep binary-arch
+.PHONY: build clean binary binary-indep binary-arch
