## libapache2-mod-rivet 2.1.0

=== debian/changelog ===
libapache2-mod-rivet (2.1.0-1) unstable; urgency=low

  * New upstream release 2.1.0
  * Applied patches to fix minor bugs in version 2.1.0, improve
    command '::rivet::headers' error reporting.
  * Manual generation target patched and output generated using utf-8
    encoding.
  * Adding docbook-xml to build depends line in control.
  * Add command removing .la files generated by the build process for
    librivet and librivetparser

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 21 Jan 2013 23:59:58 +0100
