=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~)
+Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), docbook-xsl, xsltproc, docbook-xml
 Standards-Version: 3.9.3
 Homepage: http://tcl.apache.org/rivet/
