=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 TCL_VERSION=8.5
 package=libapache2-mod-rivet
+RIVETLIB_DIR=/usr/lib/tcltk/rivet2.1
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -14,9 +15,9 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-        CFLAGS += -O0
+    CFLAGS += -O0
 else
-        CFLAGS += -O2
+    CFLAGS += -O2
 endif
 
 export DH_OPTIONS
@@ -38,22 +39,21 @@
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
-#	( cd doc; $(MAKE) docs )
+	( cd doc; rm -fr html/; $(MAKE) docs )
 	touch build-stamp
 
 configure-stamp:
 	dh_testdir
 	chmod +x ./configure
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"				\
-	./configure --host=$(DEB_HOST_GNU_TYPE) 			\
-		    --build=$(DEB_BUILD_GNU_TYPE) 			\
-		    --with-tcl=/usr/lib/tcl$(TCL_VERSION)/		\
-		    --with-apache=/usr					\
-		    --with-apxs=/usr/bin/apxs2				\
-		    --with-tclsh=/usr/bin/tclsh$(TCL_VERSION)		\
-		    --with-apache-version=2				\
-		    --with-rivet-target-dir=/usr/lib/tcltk/rivet2.0	\
-		    --enable-version-display 
+	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"				        \
+	./configure --host=$(DEB_HOST_GNU_TYPE) 			        \
+		        --build=$(DEB_BUILD_GNU_TYPE) 			        \
+		        --with-tcl=/usr/lib/tcl$(TCL_VERSION)/		    \
+		        --with-apache=/usr					            \
+		        --with-apxs=/usr/bin/apxs2				        \
+		        --with-tclsh=/usr/bin/tclsh$(TCL_VERSION)	    \
+		        --with-rivet-target-dir=$(RIVETLIB_DIR)	        \
+		        --enable-version-display 
 	touch configure-stamp
 
 binary-indep: build libapache2-mod-rivet-doc
@@ -75,7 +75,7 @@
 
 	# Remove README* files in bogus places.
 	find $(CURDIR)/debian/$@/usr/lib/tcltk -name 'README*' -exec rm -v {} \;
-
+	find $(CURDIR)/debian/$@/usr/lib/tcltk -name '*.la' -exec rm -v {} \;
 	dh_install -a -p$@
 	dh_installman -p$@
 	dh_link -p$@
