## libapache2-mod-rivet 2.1.2

=== debian/changelog ===
libapache2-mod-rivet (2.1.2-1) unstable; urgency=low

  * New upstream code released 2.1.2
  * Undoing patch for src/apache-2/mod_rivet.c fixing unsecure call to
    ap_log_error

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 18 Jun 2013 23:59:26 +0200

libapache2-mod-rivet (2.1.1-3.1) unstable; urgency=low

  * Non-maintainer mea culpa upload.
  * Revert the Build-Depends-Indep split - doesn't work this way currently.
    (Closes: #711189)

 -- Sven Hoexter <hoexter@debian.org>  Wed, 05 Jun 2013 20:52:56 +0200

libapache2-mod-rivet (2.1.1-3) unstable; urgency=low

  [ Massimo Manghi ]
  * Fix "Apache 2.4 moves to Unstable" repackaging to complete sourceful
    transition to new packaging for Apache 2.4 (Closes: #709471)

  [ Sven Hoexter]
  * Build-Depend on debhelper >= 9 for compat level 9.
  * Split of Build-Depends-Indep for the -doc package.

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 30 May 2013 15:24:41 +0200

libapache2-mod-rivet (2.1.1-2) unstable; urgency=low

  * Changing build dependency from tcl8.5-dev to tcl-dev as Tcl 8.5
    is the current Debian default. This should also fix a problem
    with Ubuntu which already is using a multiarch configuration script
    in /usr/lib/tclConfig.sh

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 24 Apr 2013 23:36:55 +0200

libapache2-mod-rivet (2.1.1-1) unstable; urgency=low

  * New upstream release 2.1.1
  * Unapplied patches now incorporated in the original source code
  * Standards revised to conform new version 3.9.4
  * Package section changed to 'httpd' and priority changed to 'optional' 
    as recommended by Debian's latest changes to policy

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 28 Feb 2013 22:18:57 +0100
