=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libapache2-mod-rivet
-Section: web
+Section: httpd
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), docbook-xsl, xsltproc, docbook-xml
-Standards-Version: 3.9.3
+Build-Depends: tcl-dev, apache2-dev, dh-apache2, libtool, debhelper (>= 9~), dh-autoreconf, automake, docbook-xsl, docbook-xml, xsltproc, dpkg-dev (>= 1.16.1~) 
+Standards-Version: 3.9.4
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, itcl3, apache2-mpm-prefork, tcllib
+Depends: ${shlibs:Depends}, ${misc:Depends}, itcl3, tcllib
 Suggests: libapache2-mod-rivet-doc
 Description: Server-side Tcl programming system combining ease of use and power
  Apache Rivet is a system for creating dynamic web content via the Tcl
