## libapache2-mod-rivet 2.1.3

=== debian/changelog ===
libapache2-mod-rivet (2.1.3-1) unstable; urgency=low

  * New upstream code 2.1.3 
  * Removed package dh-apache2 from Build-Depends
  * Undone patch removing distclean target from doc/Makefile.am

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 02 Oct 2013 11:44:17 +0200
