=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: httpd
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl-dev, apache2-dev, dh-apache2, libtool, debhelper (>= 9~), dh-autoreconf, automake, docbook-xsl, docbook-xml, xsltproc, dpkg-dev (>= 1.16.1~) 
+Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, docbook-xsl, docbook-xml, xsltproc, dpkg-dev (>= 1.16.1~) 
 Standards-Version: 3.9.4
 Homepage: http://tcl.apache.org/rivet/
