=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 TCL_VERSION=8.5
 package=libapache2-mod-rivet
 RIVETLIB_DIR=/usr/lib/tcltk/rivet2.1
+TCLSH_PROG=/usr/bin/tclsh
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -19,8 +20,6 @@
 else
     CFLAGS += -O2
 endif
-
-export DH_OPTIONS
 
 clean: 
 	dh_testdir
@@ -44,16 +43,17 @@
 
 configure-stamp:
 	dh_testdir
+	dh_autoreconf
 	chmod +x ./configure
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"				        \
-	./configure --host=$(DEB_HOST_GNU_TYPE) 			        \
-		        --build=$(DEB_BUILD_GNU_TYPE) 			        \
-		        --with-tcl=/usr/lib/tcl$(TCL_VERSION)/		    \
-		        --with-apache=/usr					            \
-		        --with-apxs=/usr/bin/apxs2				        \
-		        --with-tclsh=/usr/bin/tclsh$(TCL_VERSION)	    \
-		        --with-rivet-target-dir=$(RIVETLIB_DIR)	        \
-		        --enable-version-display 
+	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"         \
+	./configure --host=$(DEB_HOST_GNU_TYPE)         \
+		    --build=$(DEB_BUILD_GNU_TYPE)           \
+		    --with-tcl=/usr/lib/                    \
+		    --with-apache=/usr                      \
+		    --with-apxs=/usr/bin/apxs               \
+		    --with-tclsh=$(TCLSH_PROG)              \
+		    --with-rivet-target-dir=$(RIVETLIB_DIR) \
+		    --enable-version-display 
 	touch configure-stamp
 
 binary-indep: build libapache2-mod-rivet-doc
@@ -70,6 +70,7 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs -p$@
 	dh_install -a
+	dh_apache2 
 	dh_installexamples -a -p$@
 	dh_auto_install -a -p$@ --destdir=$(CURDIR)/debian/$@
 
@@ -77,6 +78,11 @@
 	find $(CURDIR)/debian/$@/usr/lib/tcltk -name 'README*' -exec rm -v {} \;
 	find $(CURDIR)/debian/$@/usr/lib/tcltk -name '*.la' -exec rm -v {} \;
 	dh_install -a -p$@
+	cp -vr rivet/packages $(CURDIR)/debian/$@$(RIVETLIB_DIR)
+	@echo "creating pkgIndex.tcl files for libapache2-mod-rivet"
+	find $(CURDIR)/debian/$@$(RIVETLIB_DIR) -name 'pkgIndex.tcl' -exec rm -v {} \;
+	-(  cd $(CURDIR)/debian/$@$(RIVETLIB_DIR); \
+	    echo 'eval pkg_mkIndex -verbose [pwd] [glob init.tcl [file join packages * *.tcl] [file join *[info sharedlibextension]]]' | $(TCLSH_PROG) ; )
 	dh_installman -p$@
 	dh_link -p$@
 	dh_strip -p$@
