=== debian/watch ===
version=3
http://www.apache.org/dist/tcl/rivet/rivet-(\d.*)\.tar\.gz
