## libapache2-mod-rivet 2.2.0

=== debian/changelog ===
libapache2-mod-rivet (2.2.0-1) unstable; urgency=medium

  * New upstream release 2.2.0

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 17 Jun 2014 20:34:57 +0200

libapache2-mod-rivet (2.1.4-2) unstable; urgency=low

  * Debian watch file has now information to verify upstrem tarball 
    signature
  * Duplicate png file removed from package

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 16 Mar 2014 00:48:31 +0100

libapache2-mod-rivet (2.1.4-1) unstable; urgency=low

  * New upstream release 2.1.4
  * Starting with 2.1.4 autoconf build scripts were reorganized to
    allow idempotent build of rivet (Closes: #725681)
  * Verified compliance with level 3.9.5 of the standards

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 05 Mar 2014 00:11:31 +0100
