=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-TCL_VERSION=8.5
+TCL_VERSION=8.6
 package=libapache2-mod-rivet
-RIVETLIB_DIR=/usr/lib/tcltk/rivet2.1
+RIVETLIB_DIR=/usr/lib/tcltk/rivet2.2
 TCLSH_PROG=/usr/bin/tclsh
 
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -100,6 +100,7 @@
 	dh_testroot
 	dh_installdirs -p$@
 	dh_installdocs -p$@
+	find $(CURDIR)/debian/$@/usr/share/doc/libapache2-mod-rivet-doc/html/images/ -name 'Rivetlogo_small.png' -exec rm -v {} \;
 	dh_compress -p$@
 	dh_fixperms -p$@
 	dh_installdeb -p$@
