## libapache2-mod-rivet 2.2.1

=== debian/changelog ===
libapache2-mod-rivet (2.2.1-1) unstable; urgency=medium

  * Packaging new upstream release

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 22 Jan 2015 16:13:06 +0100

libapache2-mod-rivet (2.2.0-2) unstable; urgency=medium

  * Fixing lintian warnings because of improper usage of * in copyright 
    lines 

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 17 Nov 2014 01:25:03 +0100
