=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, docbook-xsl, docbook-xml, xsltproc, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
