## libapache2-mod-rivet 2.2.3

=== debian/changelog ===
libapache2-mod-rivet (2.2.3-1) unstable; urgency=medium

  * New upstream version 
  * Fix wrong links in manual page

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 23 May 2015 21:03:41 +0200

libapache2-mod-rivet (2.2.2-1) unstable; urgency=medium

  * Packaging new upstream release 2.2.2
  * Update copyright file that missed information for m4/ax_split_version.m4
  * Installing the HTML manual from original archive skipping the generation
    stage. The manual has a Docbook macro which prints a timestamp and makes
    package build basically unreproducible

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 19 Apr 2015 16:59:48 +0200
