## libapache2-mod-rivet 2.2.4

=== debian/changelog ===
libapache2-mod-rivet (2.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 06 Dec 2015 19:44:19 +0100
