=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,6 @@
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
-	( cd doc; rm -fr html/; $(MAKE) docs )
 	touch build-stamp
 
 configure-stamp:
