=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://www.apache.org/dist/tcl/rivet/rivet-(\d.*)\.tar\.gz
