## libapache2-mod-rivet 2.3.1

=== debian/changelog ===
libapache2-mod-rivet (2.3.1-1) unstable; urgency=medium

  * New upstream release fixes a bug in package 'form' 

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 17 Apr 2016 23:07:44 +0200

libapache2-mod-rivet (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * Checked compliance with 3.9.7 version of Debian standards
  * Add bindnow hardening buildflag as demanded by lintian

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 30 Mar 2016 23:35:41 +0200
