## libapache2-mod-rivet 2.3.3

=== debian/changelog ===
libapache2-mod-rivet (2.3.3-1) unstable; urgency=medium

  * New upstream release
  * Add 'Multi-Arch: foreign' control line to package 
    libapache2-mod-rivet doc as suggested by the
    Multiarch hinter directives

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 01 Dec 2016 00:25:48 +0100

libapache2-mod-rivet (2.3.2-1) unstable; urgency=medium

  * New upstream release
  * Setting new standard version to 3.9.8 

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 22 Sep 2016 23:43:36 +0200
