=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
@@ -24,6 +24,7 @@
 Package: libapache2-mod-rivet-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Documentation for Rivet, a server-side Tcl programming system 
  Apache Rivet is a system for creating dynamic web content via the Tcl
