=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,10 @@
 
 TCL_VERSION=8.6
 package=libapache2-mod-rivet
-RIVETLIB_DIR=/usr/lib/tcltk/rivet2.2
+RIVETLIB_DIR=/usr/lib/tcltk/rivet2.3
 TCLSH_PROG=/usr/bin/tclsh
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
