## libapache2-mod-rivet 2.3.4

=== debian/changelog ===
libapache2-mod-rivet (2.3.4-1) unstable; urgency=medium

  * New upstream release 
  * Changing Priority line in control file from 'extra' to 'optional'
    as per Debian standards version 4.0.1
  * add dh_autoreconf_clean debhelper macro

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 12 Aug 2017 01:03:00 +0200
