=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libapache2-mod-rivet
 Section: httpd
-Priority: extra
+Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
