## libapache2-mod-rivet 2.3.5

=== debian/changelog ===
libapache2-mod-rivet (2.3.5-1) unstable; urgency=medium

  *  New upstream release

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 12 Nov 2017 15:49:40 +0100
