=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
