=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 
 configure-stamp:
 	dh_testdir
+	dh_autoreconf_clean
 	dh_autoreconf
 	chmod +x ./configure
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"         \
