## libapache2-mod-rivet 3.0.2

=== debian/changelog ===
libapache2-mod-rivet (3.0.2-1) unstable; urgency=medium

  * New upstream release 
  * Checked standards compliance up to 4.1.5

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 15 Jul 2018 18:48:36 +0200

libapache2-mod-rivet (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Raised compat level to 11, removed build-dependency on dh-autoreconf
  * Fixed URL of Debian copyright-format
  * Fixed a2dismod invocation in prerm script (it disabled package 'foo'!)
  * Removed conditional enabling of the module based on the MPM: 
    we support also the 'worker' and 'event' MPM
  * Installing also the NOTICE file in libapache2-mod-rivet-docs package
  * Checked stardards up to level 4.1.3

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 12 Feb 2018 18:53:17 +0100
