=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: httpd
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 4.1.1
+Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 11~), automake, dpkg-dev (>= 1.16.1~) 
+Standards-Version: 4.1.5
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
