=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 TCL_VERSION=8.6
 package=libapache2-mod-rivet
-RIVETLIB_DIR=/usr/lib/tcltk/rivet2.3
+RIVETLIB_DIR=/usr/lib/tcltk/rivet3.0
 TCLSH_PROG=/usr/bin/tclsh
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -100,8 +100,8 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs -p$@
-	dh_installdocs -p$@
-	find $(CURDIR)/debian/$@/usr/share/doc/libapache2-mod-rivet-doc/html/images/ -name 'Rivetlogo_small.png' -exec rm -v {} \;
+	dh_installdocs -p$@ --exclude=Rivetlogo_small.png
+	#find $(CURDIR)/debian/$@/usr/share/doc/libapache2-mod-rivet-doc/html/images/ -name 'Rivetlogo_small.png' -exec rm -v {} \;
 	dh_compress -p$@
 	dh_fixperms -p$@
 	dh_installdeb -p$@
